<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.logging.logging-profile.async-handler">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="enabled,filter-spec,level,name,overflow-action,queue-length,subhandlers"/>
        <elem name="addr-params" value="profile,subsystem,logging-profile,async-handler"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.logging"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.logging.handler.$logging-profile.$async-handler"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.logging.filter.$filter-spec" optional="true"/>
        <capability name="$profile.org.wildfly.logging.handler.$subhandlers" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.logging.logging-profile"/>
        <ref feature="subsystem.logging"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="filter-spec" nillable="true"/>
        <param name="level" nillable="true"/>
        <param name="subhandlers" nillable="true" type="List&lt;String&gt;"/>
        <param name="overflow-action" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="async-handler" feature-id="true"/>
        <param name="name" nillable="true"/>
        <param name="subsystem" feature-id="true" default="logging"/>
        <param name="enabled" nillable="true"/>
        <param name="logging-profile" feature-id="true"/>
        <param name="queue-length"/>
    </params>
</feature-spec>